Bug 783410 - [abrt] libreoffice-core-3.4.4.2-7.fc16: BigPtrArray::operator[]: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.4.4.2-7.fc16: BigPtrArray::operator[]: Process /usr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:1b1a7a29da31a7e09172998e3d9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-20 05:35 EST by Luke Ashe-Browne
Modified: 2012-02-28 10:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 10:09:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (23.53 KB, text/plain)
2012-01-20 05:35 EST, Luke Ashe-Browne
no flags Details
File: maps (91.63 KB, text/plain)
2012-01-20 05:35 EST, Luke Ashe-Browne
no flags Details
File: backtrace (73.89 KB, text/plain)
2012-01-20 05:35 EST, Luke Ashe-Browne
no flags Details

  None (edit)
Description Luke Ashe-Browne 2012-01-20 05:35:20 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/luke/Documents/BP%20lead%20provider%20contract%20and%20broker%20api.docx --splash-pipe=7
crash_function: BigPtrArray::operator[]
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.1.9-1.fc16.x86_64
pid:            5994
pwd:            /home/luke
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Fri 20 Jan 2012 10:16:50 AM GMT
uid:            1000
username:       luke
xsession_errors: 

backtrace:      Text file, 75660 bytes
dso_list:       Text file, 24092 bytes
maps:           Text file, 93827 bytes

comment:
:Opened a docx file in libre office Write from microsoft office source, 
:copying text from the document (example xml) and pasting into other applications (gedit, webbrowser) seems to trigger the issue.

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=6
:HOSTNAME=labLatE6420
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=5983
:GPG_AGENT_INFO=/tmp/keyring-E3dd3f/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-4113-labLatE6420-libreoffice-1_TIME5555821
:HISTSIZE=1000
:XDG_SESSION_COOKIE=396ea718a9e0acebbd7a71fa00000013-1327050077.10860-122986397
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-E3dd3f
:IMSETTINGS_MODULE=none
:USER=luke
:DESKTOP_AUTOSTART_ID=102d46b1e0728927a7132705007748522400000038880024
:SSH_AUTH_SOCK=/tmp/keyring-E3dd3f/ssh
:USERNAME=luke
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3888,unix/unix:/tmp/.ICE-unix/3888
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/luke
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/luke/.local/bin:/home/luke/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/luke
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=3882
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/luke
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=luke
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JmiTW3CoGV,guid=6489ec38ffaab8ed49442aa20000078f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/luke
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-luke-qj4aZ8/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

smolt_data:
:
:
:General
:=================================
:UUID: b496d250-987f-4c35-bfdd-d1a621f9f984
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5587.46
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7943
:System Swap: 9983
:Vendor: Dell Inc.
:System: Latitude E6420 01
:Form factor: Laptop
:Kernel: 3.1.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:4136:1171) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4631:33313:4136:1171) pci, sdhci-pci, BASE, N/A
:(4631:33329:4136:1171) pci, None, STORAGE, N/A
:(32902:7188:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:4182:4136:1171) pci, nvidia, VIDEO, GF108 [Quadro NVS 4200M]
:(32902:7200:4136:1171) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:4136:1171) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:4136:1171) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:130:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:10282:4136:1171) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:7213:4136:1171) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1171) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1171) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1171) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4318:3592:4136:1171) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(32902:7194:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4136:1171) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 12901535 11049455 10918433 3276800 3092491 3092491
:/dev/sda2 /boot ext4 1024 1024 495844 392745 367145 128016 127781 127781
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 45985817 40171260 37835312 11681792 11589351 11589351
:

var_log_messages:
:Jan 20 09:48:44 labLatE6420 kernel: [ 4775.925358] soffice.bin[4892]: segfault at d00000019 ip 00007f97d239e870 sp 00007fffc60006b8 error 4 in libswlx.so[7f97d1f7c000+bd1000]
:Jan 20 09:48:44 labLatE6420 abrt[5516]: File '/usr/lib64/libreoffice/program/soffice.bin' seems to be deleted
:Jan 20 09:48:44 labLatE6420 abrt[5516]: Saved core dump of pid 4892 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-01-20-09:48:44-4892 (131727360 bytes)
:Jan 20 10:16:50 labLatE6420 kernel: [ 6459.933207] soffice.bin[5994] general protection ip:7fded0825914 sp:7fff63f3f990 error:0 in libswlx.so[7fded051a000+bd1000]
:Jan 20 10:16:51 labLatE6420 abrt[6378]: Saved core dump of pid 5994 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-01-20-10:16:50-5994 (128000000 bytes)
Comment 1 Luke Ashe-Browne 2012-01-20 05:35:24 EST
Created attachment 556494 [details]
File: dso_list
Comment 2 Luke Ashe-Browne 2012-01-20 05:35:26 EST
Created attachment 556495 [details]
File: maps
Comment 3 Luke Ashe-Browne 2012-01-20 05:35:28 EST
Created attachment 556496 [details]
File: backtrace
Comment 4 David Tardon 2012-01-20 08:25:46 EST
Could you attach the .docx file here?
Comment 5 Caolan McNamara 2012-02-28 10:09:05 EST
feel free to reopen this bug if you can provide a reproducer

Note You need to log in before you can comment on or make changes to this bug.